org.apache.http.protocol

## Interface HttpRequestHandler

-     public interface HttpRequestHandler

  HttpRequestHandler represents a routine for processing of a specific group of HTTP requests. Protocol handlers are designed to take care of protocol specific aspects, whereas individual request handlers are expected to take care of application specific HTTP processing. The main purpose of a request handler is to generate a response object with a content entity to be sent back to the client in response to the given request
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(HttpRequest request, HttpResponse response, HttpContext context)` Handles the request and produces a response to be sent back to the client.

- - ### Method Detail

    - #### handle

          void handle(HttpRequest request,
                    HttpResponse response,
                    HttpContext context)
                      throws HttpException,
                             IOException

      Handles the request and produces a response to be sent back to the client.
      Parameters:
        `request` - the HTTP request.
        `response` - the HTTP response.
        `context` - the HTTP execution context.
      Throws:
        `IOException` - in case of an I/O error.
        `HttpException` - in case of HTTP protocol violation or a processing problem.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.